/**
 * @(#)BoxControlPanel.java
 * @author JLMJ
 * @date 2001-10-09
 */
package minoids1.controls;
import java.awt.*;
import java.awt.event.*;

public abstract class AbstractControlDialog extends Dialog
    implements WindowListener
{
    public AbstractControlDialog(Frame parent) {
        super(parent);
        addWindowListener(this);
        setResizable(false);
        pack();
    }
    
    public void windowActivated(WindowEvent e) { };
    public void windowClosed(WindowEvent e) { };
    public void windowClosing(WindowEvent e) { setVisible(false); }
    public void windowDeactivated(WindowEvent e) { };
    public void windowDeiconified(WindowEvent e) { };
    public void windowIconified(WindowEvent e) { };
    public void windowOpened(WindowEvent e) { };
    
    public abstract void updateMinoids();
}


